<template>
  <div class="home">
    <b-modal v-model="modalShow" title="Waiting for Players" @ok="handleOk">
      <h1>Game #{{ id }} Waiting for Players!</h1>
    </b-modal>

    <b-alert variant="success">Hello</b-alert>
  </div>
</template>

<script>
import * as fb from "@/firebase";

export default {
  data() {
    return {
      modalShow: true
    };
  },
  methods: {
    handleOk(bvModalEvt) {
      // Prevent modal from closing
      bvModalEvt.preventDefault();
      fb.db.collection("games").doc(this.id).update({
        start: true
      })
    }
  },
  props: ["id", "role"]
};
</script>
